| Face Engine SDK 5.34.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IBlackWhiteEstimator Struct Referenceabstract
Estimators
Inheritance diagram for fsdk::IBlackWhiteEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, bool &outIsGrayscale) const noexcept=0
| Check if image is grayscale or color. More...
virtual Result< FSDKError > | estimate (const Image &warp, ImageColorEstimation &estimation) const noexcept=0
| Estimates if image is color, grayscale or infrared. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< ImageColorEstimation > estimations) const noexcept=0
| Estimates if images are color, grayscale or infrared. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validates input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Member Function Documentation

## ◆ estimate() [1/3]

virtual Result<FSDKError> fsdk::IBlackWhiteEstimator::estimate | ( | const Image & | image,
|  | bool & | outIsGrayscale
| ) |  | const
| pure virtual noexcept

Check if image is grayscale or color.

Parameters

  [in] | image | source image.
  [out] | outIsGrayscale | estimation result; true if image is grayscale, false if not.

Returns
  Result with error code.

See also
  Image, Result and FSDKError for details.

Note
  image format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/3]

virtual Result<FSDKError> fsdk::IBlackWhiteEstimator::estimate | ( | const Image & | warp,
|  | ImageColorEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimates if image is color, grayscale or infrared.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation.

Returns
  Result with error code.

See also
  ImageColorEstimation, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8 or R8,

See also
  Format.

## ◆ estimate() [3/3]

virtual Result<FSDKError> fsdk::IBlackWhiteEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< ImageColorEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimates if images are color, grayscale or infrared.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | estimations | array of estimations.

Returns
  Result with error code.

See also
  Span, ImageColorEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8 or R8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IBlackWhiteEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validates input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8 or R8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IBlackWhiteEstimator.h